## apache-arrow-adbc-0.2.0.tar.gz

=== c/validation/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

cmake_minimum_required(VERSION 3.18)
get_filename_component(REPOSITORY_ROOT "../../" ABSOLUTE)
list(APPEND CMAKE_MODULE_PATH "${REPOSITORY_ROOT}/c/cmake_modules/")
include(AdbcVersion)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
project(adbc_validation
        VERSION "${ADBC_BASE_VERSION}"
        LANGUAGES CXX)

find_package(GTest REQUIRED)
get_filename_component(REPOSITORY_ROOT "../../" ABSOLUTE)

add_library(adbc_validation STATIC adbc_validation.cc adbc_validation_util.cc)
target_compile_features(adbc_validation PRIVATE cxx_std_17)
target_include_directories(adbc_validation SYSTEM PRIVATE "${REPOSITORY_ROOT}"
                                                          "${REPOSITORY_ROOT}/c/vendor/")
target_link_libraries(adbc_validation PUBLIC nanoarrow GTest::gtest GTest::gmock)

set_target_properties(adbc_validation
                      PROPERTIES PUBLIC_HEADER "adbc_validation.h;adbc_validation_util.h")

install(TARGETS adbc_validation
        EXPORT AdbcValidationTargets
        LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
        PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/adbc_validation/")

write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/AdbcValidation/AdbcValidationConfigVersion.cmake"
  COMPATIBILITY AnyNewerVersion)
export(EXPORT AdbcValidationTargets
       FILE "${CMAKE_CURRENT_BINARY_DIR}/AdbcValidation/AdbcValidationTargets.cmake"
       NAMESPACE AdbcValidation::)
configure_package_config_file("AdbcValidationConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/AdbcValidation/AdbcValidationConfig.cmake"
                              INSTALL_DESTINATION "AdbcValidation/AdbcValidationConfig.cmake"
)

install(EXPORT AdbcValidationTargets
        FILE AdbcValidationTargets.cmake
        NAMESPACE AdbcValidation::
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/AdbcValidation")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AdbcValidation/AdbcValidationConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/AdbcValidation/AdbcValidationConfigVersion.cmake"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/AdbcValidation"
        COMPONENT Devel)

=== c/driver/flightsql/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

cmake_minimum_required(VERSION 3.18)
get_filename_component(REPOSITORY_ROOT "../../../" ABSOLUTE)
list(APPEND CMAKE_MODULE_PATH "${REPOSITORY_ROOT}/c/cmake_modules/")
include(AdbcDefines)
include(BuildUtils)
include(GoUtils)

project(adbc_driver_flightsql
        VERSION "${ADBC_BASE_VERSION}"
        LANGUAGES C CXX)
include(CTest)

set(LDFLAGS "$<$<CONFIG:Release>:-s> $<$<CONFIG:Release>:-w>")
add_go_lib("${REPOSITORY_ROOT}/go/adbc/pkg/flightsql/"
           adbc_driver_flightsql
           SOURCES
           driver.go
           utils.h
           utils.c
           BUILD_TAGS
           driverlib
           PKG_CONFIG_NAME
           adbc-driver-flightsql
           SHARED_LINK_FLAGS
           ${LDFLAGS})

include_directories(SYSTEM ${REPOSITORY_ROOT})
include_directories(SYSTEM ${REPOSITORY_ROOT}/c/)

if(ADBC_TEST_LINKAGE STREQUAL "shared")
  set(TEST_LINK_LIBS adbc_driver_flightsql_shared)
else()
  set(TEST_LINK_LIBS adbc_driver_flightsql_static)
endif()

if(ADBC_BUILD_TESTS)
  add_test_case(driver_flightsql_test
                PREFIX
                adbc
                SOURCES
                dremio_flightsql_test.cc
                sqlite_flightsql_test.cc
                ../../validation/adbc_validation.cc
                ../../validation/adbc_validation_util.cc
                EXTRA_LINK_LIBS
                nanoarrow
                ${TEST_LINK_LIBS})
  target_compile_features(adbc-driver-flightsql-test PRIVATE cxx_std_17)
  adbc_configure_target(adbc-driver-flightsql-test)
endif()

validate_config()
config_summary_message()

=== c/driver/postgresql/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

cmake_minimum_required(VERSION 3.18)
get_filename_component(REPOSITORY_ROOT "../../../" ABSOLUTE)
list(APPEND CMAKE_MODULE_PATH "${REPOSITORY_ROOT}/c/cmake_modules/")
include(AdbcDefines)
include(BuildUtils)

project(adbc_driver_postgresql
        VERSION "${ADBC_BASE_VERSION}"
        LANGUAGES CXX)
include(CTest)

if(WIN32)
  # XXX: for now, assume vcpkg
  find_package(PostgreSQL REQUIRED)
  set(LIBPQ_LINK_LIBRARIES PostgreSQL::PostgreSQL wsock32 ws2_32)
  set(LIBPQ_STATIC_LIBRARIES PostgreSQL::PostgreSQL)
  set(LIBPQ_INCLUDE_DIRS)
else()
  find_package(PkgConfig)
  pkg_check_modules(LIBPQ REQUIRED libpq)
endif()

add_arrow_lib(adbc_driver_postgresql
              SOURCES
              connection.cc
              database.cc
              postgresql.cc
              statement.cc
              type.cc
              OUTPUTS
              ADBC_LIBRARIES
              CMAKE_PACKAGE_NAME
              AdbcDriverPostgreSQL
              PKG_CONFIG_NAME
              adbc-driver-postgresql
              SHARED_LINK_FLAGS
              ${ADBC_LINK_FLAGS}
              SHARED_LINK_LIBS
              ${LIBPQ_LINK_LIBRARIES}
              nanoarrow
              STATIC_LINK_LIBS
              ${LIBPQ_LINK_LIBRARIES}
              nanoarrow
              ${LIBPQ_STATIC_LIBRARIES})
include_directories(SYSTEM ${REPOSITORY_ROOT})
include_directories(SYSTEM ${REPOSITORY_ROOT}/c/)
include_directories(SYSTEM ${LIBPQ_INCLUDE_DIRS})
foreach(LIB_TARGET ${ADBC_LIBRARIES})
  target_compile_definitions(${LIB_TARGET} PRIVATE ADBC_EXPORTING)
endforeach()

if(ADBC_TEST_LINKAGE STREQUAL "shared")
  set(TEST_LINK_LIBS adbc_driver_postgresql_shared)
else()
  set(TEST_LINK_LIBS adbc_driver_postgresql_static)
endif()

if(ADBC_BUILD_TESTS)
  add_test_case(driver_postgresql_test
                PREFIX
                adbc
                SOURCES
                postgresql_test.cc
                ../../validation/adbc_validation.cc
                ../../validation/adbc_validation_util.cc
                EXTRA_LINK_LIBS
                nanoarrow
                ${TEST_LINK_LIBS})
  target_compile_features(adbc-driver-postgresql-test PRIVATE cxx_std_17)
  adbc_configure_target(adbc-driver-postgresql-test)
endif()

validate_config()
config_summary_message()

=== c/driver/sqlite/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

cmake_minimum_required(VERSION 3.18)
get_filename_component(REPOSITORY_ROOT "../../../" ABSOLUTE)
list(APPEND CMAKE_MODULE_PATH "${REPOSITORY_ROOT}/c/cmake_modules/")
include(AdbcDefines)
include(BuildUtils)

project(adbc_driver_sqlite
        VERSION "${ADBC_BASE_VERSION}"
        LANGUAGES CXX)
include(CTest)

find_package(SQLite3)
if(SQLite3_FOUND)
  set(SQLite3_LINK_LIBRARIES SQLite::SQLite3)
else()
  # vcpkg
  find_package(unofficial-sqlite3 CONFIG REQUIRED)
  set(SQLite3_LINK_LIBRARIES unofficial::sqlite3::sqlite3)
  set(SQLite3_INCLUDE_DIRS)
endif()

add_arrow_lib(adbc_driver_sqlite
              SOURCES
              sqlite.c
              statement_reader.c
              utils.c
              OUTPUTS
              ADBC_LIBRARIES
              CMAKE_PACKAGE_NAME
              AdbcDriverSQLite
              PKG_CONFIG_NAME
              adbc-driver-sqlite
              SHARED_LINK_FLAGS
              ${ADBC_LINK_FLAGS}
              SHARED_LINK_LIBS
              ${SQLite3_LINK_LIBRARIES}
              nanoarrow
              STATIC_LINK_LIBS
              ${SQLite3_LINK_LIBRARIES}
              nanoarrow
              ${LIBPQ_STATIC_LIBRARIES})
include_directories(SYSTEM ${REPOSITORY_ROOT})
include_directories(SYSTEM ${REPOSITORY_ROOT}/c/)
include_directories(SYSTEM ${SQLite3_INCLUDE_DIRS})
foreach(LIB_TARGET ${ADBC_LIBRARIES})
  target_compile_definitions(${LIB_TARGET} PRIVATE ADBC_EXPORTING)
endforeach()

if(ADBC_TEST_LINKAGE STREQUAL "shared")
  set(TEST_LINK_LIBS adbc_driver_sqlite_shared)
else()
  set(TEST_LINK_LIBS adbc_driver_sqlite_static)
endif()

if(ADBC_BUILD_TESTS)
  add_test_case(driver_sqlite_test
                PREFIX
                adbc
                SOURCES
                sqlite_test.cc
                ../../validation/adbc_validation.cc
                ../../validation/adbc_validation_util.cc
                EXTRA_LINK_LIBS
                nanoarrow
                ${TEST_LINK_LIBS})
  target_compile_features(adbc-driver-sqlite-test PRIVATE cxx_std_17)
  adbc_configure_target(adbc-driver-sqlite-test)
endif()

validate_config()
config_summary_message()

=== go/adbc/pkg/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO_BUILD=go build
ifeq ($(shell go env GOOS),linux)
	SUFFIX=so
else
	SUFFIX=dylib
endif

DRIVERS := \
	libadbc_driver_flightsql.$(SUFFIX)

.PHONY: all
all: $(DRIVERS)

libadbc_driver_%.$(SUFFIX): %
	$(GO_BUILD) -tags driverlib -o $@ -buildmode=c-shared -ldflags "-s -w" ./$<
	rm $(basename $@).h

clean:
	rm $(DRIVERS)

=== ci/linux-packages/debian/changelog ===
apache-arrow-adbc (0.2.0-1) unstable; urgency=low

  * New upstream release.

 -- David Li <li.davidm96@gmail.com>  Wed, 08 Feb 2023 21:14:47 -0000

apache-arrow-adbc (0.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 26 Dec 2022 02:13:01 -0000

=== ci/linux-packages/debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

Source: apache-arrow-adbc
Section: devel
Priority: optional
Maintainer: Apache Arrow Developers <dev@arrow.apache.org>
Build-Depends:
  cmake,
  debhelper-compat (= 12),
  gobject-introspection,
  libgirepository1.0-dev,
  libpq-dev,
  libsqlite3-dev,
  tzdata,
  valac
Standards-Version: 4.5.0
Homepage: https://arrow.apache.org/adbc/

Package: libadbc-driver-manager002
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides C++ library files.

Package: libadbc-driver-manager-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-manager002 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides C++ header files.

Package: libadbc-driver-postgresql002
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides an ADBC driver for PostgreSQL

Package: libadbc-driver-postgresql-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-postgresql002 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides CMake package, pkg-config package and so on.

Package: libadbc-driver-sqlite002
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends}
Description: Apache Arrow Database Connectivity (ADBC) PostgreSQL driver
 .
 This package provides an ADBC driver for PostgreSQL

Package: libadbc-driver-sqlite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  libadbc-driver-sqlite002 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) SQLite driver
 .
 This package provides CMake package, pkg-config package and so on.

Package: libadbc-glib0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libadbc-driver-manager002 (= ${binary:Version})
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GLib based library files.

Package: gir1.2-adbc-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends:
  ${gir:Depends},
  ${misc:Depends}
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GObject Introspection typelib files.

Package: libadbc-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
  ${misc:Depends},
  gir1.2-adbc-1.0 (= ${binary:Version}),
  libadbc-driver-manager-dev (= ${binary:Version}),
  libarrow-glib-dev
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides GLib based header files.

Package: libadbc-glib-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends}
Recommends:
  libglib2.0-doc,
  libarrow-glib-doc
Description: Apache Arrow Database Connectivity (ADBC) driver manager
 .
 This package provides documentations.
